Debian Bug report logs - #217902
cross-compilation with pkg-config

version graph

Package: pkg-config; Maintainer for pkg-config is Tollef Fog Heen <tfheen@debian.org>; Source for pkg-config is src:pkg-config.

Reported by: Rüdiger Kuhlmann <debian-bugs-RIYqiGiwFZpr=spam@ruediger-kuhlmann.de>

Date: Tue, 28 Oct 2003 01:48:15 UTC

Severity: wishlist

Tags: patch, upstream

Found in versions 0.15.0-2, pkg-config/0.21-1

Fixed in version pkg-config/0.26-1

Done: Tollef Fog Heen <tfheen@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugs.freedesktop.org/show_bug.cgi?id=130

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jdassen@debian.org (J.H.M. Dassen (Ray)):
Bug#217902; Package pkg-config. Full text and rfc822 format available.

Acknowledgement sent to Rüdiger Kuhlmann <debian-bugs-RIYqiGiwFZpr=spam@ruediger-kuhlmann.de>:
New Bug report received and forwarded. Copy sent to jdassen@debian.org (J.H.M. Dassen (Ray)). Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rüdiger Kuhlmann <debian-bugs-RIYqiGiwFZpr=spam@ruediger-kuhlmann.de>
To: submit@bugs.debian.org
Subject: cross-compilation with pkg-config
Date: Tue, 28 Oct 2003 02:48:05 +0100
[Message part 1 (text/plain, inline)]
Package: pkg-config
Version: 0.15.0-2
Severity: wishlist
Tags: patch

The provided patch enables the easy use of pkg-config when cross-compiling.
The previous .m4 macro would end up finding the build's pkg-config, which in
turn would find the flags and includes for the build's libraries - which is
obviously not desired. Instead, the .m4 macro is changed to find the cross
pkg-config, namely <host>-pkg-config, which should be just a symlink to
pkg-config. Then, pkg-config will detect having been called as
<host>-pkg-config, will extract the <host>, and change the package search
directory to "/usr/<host>/lib/pkgconfig" (which is where libraries for
cross-compilation should install their .pc files). Precisely,
/usr/<host>/lib/pkgconfig is a compile-time-defined constant format string
that defaults to "${prefix}/%s/lib/pkgconfig".

[diff (text/plain, attachment)]

Tags added: upstream Request was from "J.H.M. Dassen (Ray)" <jdassen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://freedesktop.org/cgi-bin/bugzilla/show_bug.cgi?id=130. Request was from "J.H.M. Dassen (Ray)" <jdassen@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#217902; Package pkg-config. Full text and rfc822 format available.

Acknowledgement sent to James Westby <jw+debian@jameswestby.net>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. Full text and rfc822 format available.

Message #14 received at 217902@bugs.debian.org (full text, mbox):

From: James Westby <jw+debian@jameswestby.net>
To: Debian Bug Tracking System <217902@bugs.debian.org>
Subject: Re: Bug#217902: cross-compilation with pkg-config
Date: Sun, 08 Oct 2006 21:29:25 +0100
[Message part 1 (text/plain, inline)]
Package: pkg-config
Version: 0.21-1
Tags: patch
Followup-For: Bug #217902

Hi,

Someone asked for this on #debian-devel today so I threw a patch
together without first checking the BTS.

This patch adds a --arch option that you pass a triple arch-os-gnu and
it then searches /usr/lib/arch-os-gnu/pkgconfig for .pc files.

I have no experience with multiarch, but this is what was asked for. I
don't know how this approach compares to the other one.

There are 3 things I would address in this patch before it would be
accepted any way.
  1) free the strings if necessary.
  2) Check that the --arch argument contains no .. or / etc.
  3) Support multiple bases in the ./configure argument, so that say
     usr/local/lib and usr/lib can both be supported.

Let me know what you think of the patch.

James
[pkg-config-multiarch.diff (text/x-c, attachment)]

Removed annotation that Bug had been forwarded to http://freedesktop.org/cgi-bin/bugzilla/show_bug.cgi?id=130. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sun, 16 Dec 2007 11:57:02 GMT) Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to http://bugs.freedesktop.org/show_bug.cgi?id=130. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sun, 16 Dec 2007 11:57:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#217902; Package pkg-config. Full text and rfc822 format available.

Acknowledgement sent to Tomasz Chmielewski <mangoo@wpkg.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. Full text and rfc822 format available.

Message #23 received at 217902@bugs.debian.org (full text, mbox):

From: Tomasz Chmielewski <mangoo@wpkg.org>
To: 217902@bugs.debian.org
Subject: Re: cross-compilation with pkg-config
Date: Thu, 03 Apr 2008 12:32:23 +0200
It's an interesting topic - did it move forward?

James, did you address those three points yet?

It would be interesting to easily compile on a desktop PC than having to 
do a native compilation on a slowish ARM or MIPS...



Tomasz Chmielewski
http://wpkg.org




Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#217902; Package pkg-config. (Tue, 22 Feb 2011 16:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Tue, 22 Feb 2011 16:45:03 GMT) Full text and rfc822 format available.

Message #28 received at 217902@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 217902@bugs.debian.org
Subject: Support pkg-config --host
Date: Tue, 22 Feb 2011 16:39:39 +0000
[Message part 1 (text/plain, inline)]
http://pkg-config.freedesktop.org/wiki/CrossCompileProposal

This is a patch to implement the pkg-config side of this proposal,
prepared during the Emdebian ARM Sprint. It's tested with
cross-compiling in Emdebian and dpkg-buildpackage which has removed
the previous PKG_CONFIG_LIBPATH setting.

autoconf correctly uses the --host option already.

$ pkg-config --cflags glib-2.0
-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include

The current patch complies with the current dpkg-cross handling,
rather than the multiarch handling. This could be extended to support
both but it's probably better to wait until Multiarch cross-building
is more settled.

$ pkg-config --host arm-linux-gnueabi --cflags glib-2.0
-I/usr/arm-linux-gnueabi/include/glib-2.0
-I/usr/arm-linux-gnueabi/lib/glib-2.0/include


--

Neil Williams
=============
http://www.linux.codehelp.co.uk/
[cross-host-support (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#217902; Package pkg-config. (Sun, 27 Feb 2011 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Sun, 27 Feb 2011 16:33:03 GMT) Full text and rfc822 format available.

Message #33 received at 217902@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Steve Langasek <steve.langasek@linaro.org>
Cc: wookey@debian.org, 217902@bugs.debian.org
Subject: Re: pkg-config and cross-multiarch
Date: Sun, 27 Feb 2011 16:31:54 +0000
[Message part 1 (text/plain, inline)]
On Sat, 26 Feb 2011 17:13:16 -0800
Steve Langasek <steve.langasek@linaro.org> wrote:

> Hi there,
> 
> On Fri, Feb 25, 2011 at 10:04:08AM +0000, Neil Williams wrote:
> > https://wiki.ubuntu.com/MultiarchCross
> 
> > I've had a quick look at pkg-config and the upstream wiki has, what
> > appears to be, a better idea of how to implement what we need for
> > cross-building on multiarch.
> 
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=217902
>
> > I created a patch to implement the --host idea from upstream which
> > is also already supported by autoconf m4 macros. The patch was
> > tested in a multiarch-style chroot and standard configure scripts
> > correctly pick up the multiarch paths without changes to the source
> > package and without needing autoreconf (unless the package is v.old
> > and already uses autoreconf).
> 
> When you say it's supported by autoconf m4 macros, does this mean
> that the existing pkg-config m4 macros that packages are using
> already pass a --host argument?  I find that rather surprising; I
> don't see any evidence of this in /usr/share/aclocal/pkg.m4.

Ooops. Let's have another go at the patch(es).

This does make the patch set more complex - it involves setting pkg.m4
to detect the upstream version of pkg-config and therefore involves a
new upstream release.

It also involves re-running autoreconf before cross-building existing
package versions - not sure why I missed that first time around. 

For this reason, I'm attaching the diffs individually - the changes to
pkg.m4, main.c and configure.in need to go in first, then a new
upstream tarball built with autoreconf, configure, make dist. That
tarball made into a suitable .orig.tar.gz and then the changelog, rules
and control diffs can take effect. (Otherwise, the diff would be full
of autotools-upstream-changes.)

However, what I've been able to do now is combine the need for
"traditional" -cross support for current cross-builds with a "dormant"
Multi-Arch implementation which knows about the new paths, does not
enable them by default in the upstream but does in the debian/rules
file. The new paths are ignored if no files exist at those locations.

This gives us a single upload with both sets available and no flag-day.
Multi-Arch paths take precedence, followed by dpkg-cross paths,
followed by non-Multi-Arch native paths.

The m4 change is:
	if test -n "$host_alias"; then
		_pkg_host_version=[0.26]
		AC_MSG_CHECKING([pkg-config is at least version $_pkg_host_version])
		if $PKG_CONFIG --atleast-pkgconfig-version $_pkg_host_version; then
			AC_MSG_RESULT([yes - using --host $host_alias])
			PKG_CONFIG="$PKG_CONFIG --host $host_alias"
		else
			AC_MSG_RESULT([no])
			PKG_CONFIG="$PKG_CONFIG"
		fi
	fi

> > Currently, the patch implements both the dpkg-cross and multiarch
> > paths - this may be a mistake or it could turn out to be a useful
> > assist during the transition - more testing is needed but before I
> > can really test with a lot of packages, we need to prepare a
> > cross-building toolchain which provides multiarch-aware linker and
> > which depends on a multiarch version of libc6 etc.
> 
> The patch you've submitted to the bug,

... needed improvement .... and still needs more testing.

However, the new patches do implement both dpkg-cross and multiarch.

> > > appears to only add support for the /usr/${triplet}/lib path, not
> > > the multiarch-style /usr/lib/${triplet} path.  Am I missing
> > > something?
> > 
> > Nevermind, I read your comments on the bug more closely now and see
> > that multiarch is deliberately omitted. :)

The Multi-Arch situation is more complex because it requires breaking
the ${libdir} variable into the component ${prefix} and "lib" and
inserting the $host_name inside and "pkgconfig" at the end. This can
break a lot of upstream expectations - like being able to set pc_path
to /opt/project/lib/pkgconfig instead.

This makes pc_path largely unusable in a Multi-Arch world - the patch
implements a method based on $prefix. 

> > Still don't see anything in the upstream .m4 macros to suggest
> > --host is being passed automatically, though.

Yes, that was a slip on my part. The snippet from the wiki page adds
--host unconditionally whenever the relevant version of pkg-config is
found but the patch means that the original paths are still supported
and --host is only used if the version supports it and -host was passed
to ./configure.

One downside is that pkg-config no longer fails if the cross-dependency
is not installed - it returns the native data instead. This can be
changed without affecting the desired support for being able to call
pkg-config without --host during a cross-build for the use of internal
build tools. (Simply wrap the defaults in an } else { .... })

Another possible issue is this:
checking pkg-config is at least version 0.16... yes
checking pkg-config is at least version 0.26... yes - using --host arm-linux-gnueabi
checking for GLIB - version >= 2.9.0... ./configure: line 16260: test: too many arguments

This results from configure tests of the type:
  if test x$PKG_CONFIG != xno ; then
compared to
  if test "x$PKG_CONFIG" != "xno" ; then

This may limit the ability of some cross-builds to detect if the
correct version of the cross dependency is installed, although it
doesn't stop the --cflags or --libs being retrieved.

Tested in a standard cross-building chroot without some of the native
build dependencies installed but all of the cross-dependencies
installed via xapt and dpkg-cross. Native build correctly halts in the
pkg-config check cross build correctly proceeds and gets the correct
(dpkg-cross) paths to the dependencies.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[changelog.diff (text/x-diff, attachment)]
[configure.in.diff (text/x-diff, attachment)]
[control.diff (text/x-diff, attachment)]
[main.c.diff (text/x-diff, attachment)]
[rules.diff (text/x-diff, attachment)]
[pkg.m4.diff (text/x-diff, attachment)]
[Message part 8 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#217902; Package pkg-config. (Tue, 15 Mar 2011 21:54:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Tue, 15 Mar 2011 21:54:13 GMT) Full text and rfc822 format available.

Message #38 received at 217902@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: debian-embedded@lists.debian.org
Cc: 217902@bugs.debian.org
Subject: Re: cross pkgconfig
Date: Tue, 15 Mar 2011 21:52:55 +0000
[Message part 1 (text/plain, inline)]
On Tue, 15 Mar 2011 17:25:58 +0000
Wookey <wookey@wookware.org> wrote:

> What did you conclude about cross-pkgconfig
> Should we be using --host <triplet> or <triplet>-pkg-config to call it
> in 'cross-mode'?

(Was this meant to go to the bug report or to me direct rather than the
list?)

--host allows just a single package to be modified (pkg-config) and then
all packages will gain cross support just using autoreconf. i.e. we can
do an autoreconf ourselves but once this version of pkg-config is in
widespread usage in upstream teams, every package gains cross support
from pkg-config at each new upstream release. Much higher level, much
higher impact, many more people doing the work - 99% of them completely
unaware that the work is being done at all. Zero changes required by
any upstream team - it JustWorks.tm

autotools doesn't need to support <triplet>-pkg-config - pkg-config
with the --host change provides an updated m4 macro which works for all
architectures which can be passed to ./configure.

<triplet>-pkg-config needs to be created for every new arch.

> I read your contributions to the bugreport
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=217902#28
> but I'm afraid I wasn't really able to grok what's going on.

The patch modifies the pkg-config m4 macro which, if accepted, would
become embedded into every new upstream autotools package at the first
upstream release to use this version.

Then, when cross-compiling, pkg-config is called using the --host
argument to look in the relevant location.

The only problem comes when upstreams call pkg-config directly instead
of using the PKG_CHECK_MODULES macro. These upstreams would need
modifications to either use the macro or use --host.
 
> That mentiond ideas from upstream wiki but I can't actually find that.
> Do you have a URL for what you are reffering to?

http://pkg-config.freedesktop.org/wiki/CrossCompileProposal

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#217902; Package pkg-config. (Wed, 04 May 2011 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Wed, 04 May 2011 14:21:03 GMT) Full text and rfc822 format available.

Message #43 received at 217902@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: 217902@bugs.debian.org
Subject: triplet-pkgconfig support
Date: Wed, 4 May 2011 15:18:48 +0100
[Message part 1 (text/plain, inline)]
Here is a patch adding support to pkgconfig for using
<triplet>-pkgconfig commands to specify which architecture path should
be searched for libraries.

This is achieved with a simple wrapper to set PKG_CONFIG_LIBDIR and
call pkg-config. Does that wrapper look OK? It's not very clever, but
I don't think it needs to be. 

To use this functionality a symlink to the wrapper must be created
with a suitable name, such as
arm-linux-gnueabi-pkg-config
It's not totally obvious which package should provide this:

pkg-config could ship a set of symlinks, one for all official
architectures, but that's not very useful for nearly all users, and
limits the set of cross-options provided somewhat arbitrarily (things
like avr32-pkg-config would also be useful alongside an avr32
cross-toolchain). A more sensible place to put them is either in the
cross-toolchain packages (which we don't yet have in Debian), or in
dpkg-cross as a catch-all for cross-building support.

The advantage of putting a symlink in a cross-toolchain package is
that then it just installs one for the target it supports, so no
decision is needed about what set of symlinks to create.

I have a patch to create symlinks for valid architectures in the
pkg-config rules file. Also attached by way of an example as it's
slightly tricky to make work (dpkg-architecture needs -f when run
under dh8 to DTRT in this case). It can also be done trivially in a
postinst but then it's much less obvious where they came from (dpkg -S
won't know). 

This discussion of symlinks get back to the discussion of how best to
implement this functionality. Would it be better done as proposed
here:
http://www.freedesktop.org/wiki/Software/pkg-config/CrossCompileProposal
(i.e using pkg-config --host <triplet>
And implemented here:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=217902#28

This mechanism has the advantage that it supports all possible targets
without having to create special symlinks. It has the major
disadvantage that it won't work until the source is autoreconfed to
add the necessary support to the package's configure script.

This report realtes to Ubuntu bug:
https://bugs.launchpad.net/ubuntu/+source/pkg-config/+bug/771567
And the related change to create symlink:
https://bugs.launchpad.net/ubuntu/+source/gcc-defaults-armel-cross/+bug/605189
(That pair implment the wraper in pkg-config and a symlink for armel
in the gcc-defaults-armel-cross package. Installing both makes
cross-pkg-config 'just work' for armel). 

So, should we start using this <triplet>-pkg-config functionality
because it already works? Or should we implement --host and autoreconf
all packages which use this functionality, or should we support both? 

If we support the <triplet>-pkg-config functionality then where should
the symlinks come from? pkg-config itself (providing  which arches?),
dpkg-cross, some cross-toolchain package (which?), a new
pkg-config-cross package?

Direction welcome.

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/
[pkg-config-0.25.patch (text/x-diff, attachment)]
[pkg-config-ruleslinkgenerator (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Tollef Fog Heen <tfheen@debian.org>:
Bug#217902; Package pkg-config. (Wed, 04 May 2011 14:36:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
Extra info received and forwarded to list. Copy sent to Tollef Fog Heen <tfheen@debian.org>. (Wed, 04 May 2011 14:36:08 GMT) Full text and rfc822 format available.

Message #48 received at 217902@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: 217902@bugs.debian.org
Subject: Re: Bug#217902: Info received (triplet-pkgconfig support)
Date: Wed, 4 May 2011 15:35:23 +0100
Sorry - got the gcc-defalt-armel-cross bug link wrong in previous
message. Should have been:
https://bugs.launchpad.net/ubuntu/+source/gcc-defaults-armel-cross/+bug/771569

Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/




Reply sent to Tollef Fog Heen <tfheen@debian.org>:
You have taken responsibility. (Sun, 15 May 2011 13:36:03 GMT) Full text and rfc822 format available.

Notification sent to Rüdiger Kuhlmann <debian-bugs-RIYqiGiwFZpr=spam@ruediger-kuhlmann.de>:
Bug acknowledged by developer. (Sun, 15 May 2011 13:36:03 GMT) Full text and rfc822 format available.

Message #53 received at 217902-close@bugs.debian.org (full text, mbox):

From: Tollef Fog Heen <tfheen@debian.org>
To: 217902-close@bugs.debian.org
Subject: Bug#217902: fixed in pkg-config 0.26-1
Date: Sun, 15 May 2011 13:33:28 +0000
Source: pkg-config
Source-Version: 0.26-1

We believe that the bug you reported is fixed in the latest version of
pkg-config, which is due to be installed in the Debian FTP archive:

pkg-config_0.26-1.diff.gz
  to main/p/pkg-config/pkg-config_0.26-1.diff.gz
pkg-config_0.26-1.dsc
  to main/p/pkg-config/pkg-config_0.26-1.dsc
pkg-config_0.26-1_amd64.deb
  to main/p/pkg-config/pkg-config_0.26-1_amd64.deb
pkg-config_0.26.orig.tar.gz
  to main/p/pkg-config/pkg-config_0.26.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 217902@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Tollef Fog Heen <tfheen@debian.org> (supplier of updated pkg-config package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 15 May 2011 14:37:09 +0200
Source: pkg-config
Binary: pkg-config
Architecture: source amd64
Version: 0.26-1
Distribution: unstable
Urgency: low
Maintainer: Tollef Fog Heen <tfheen@debian.org>
Changed-By: Tollef Fog Heen <tfheen@debian.org>
Description: 
 pkg-config - manage compile and link flags for libraries
Closes: 217902 389066 398901 475031 482884 576320 590992
Changes: 
 pkg-config (0.26-1) unstable; urgency=low
 .
   * New upstream release
     - Updated usage message.  Closes: #389066
     - Fixes old bug.  Closes: #475031
     - Allows PKG_CONFIG_LIBDIR.  Closes: #398901
     - Man page documents how to get the default search path.
       Closes: #576320
   * Switch to multiarch paths.  Thanks to Steve Langasek for the patch.
     Closes: #590992
   * Strip out multiarch library paths.  Closes: #482884
   * Drop a cross wrapper into /usr/share.  Thanks to Wookey for the
     implementation.   Closes: #217902
   * Re-add two missing lines in Changelog which were accidentially
     removed.
Checksums-Sha1: 
 8e3ea35c6cc1e6ede1f595d8aae4ab79ba25c0cf 1679 pkg-config_0.26-1.dsc
 fd71a70b023b9087c8a7bb76a0dc135a61059652 396399 pkg-config_0.26.orig.tar.gz
 47a4391e1dd532a6dca7d32e61cb66a94d4f8b2c 4866 pkg-config_0.26-1.diff.gz
 e099963dea542d6e9edcb9e09e1db5393fb88bd1 59502 pkg-config_0.26-1_amd64.deb
Checksums-Sha256: 
 946380edc59d586adb7c2dbac84314380c5a6761b4ee5f5ae1c152eb6703235a 1679 pkg-config_0.26-1.dsc
 94c1936a797c930fb3e4e5a154165b6268caba22b32d24083dd4c492a533c8af 396399 pkg-config_0.26.orig.tar.gz
 69d93e4866a8977ad8a465cabd09b0361c1b93e109c81ff46850f0b2fc29591d 4866 pkg-config_0.26-1.diff.gz
 cd2073c893b10135efa9650d7679d8d9ebdb156e6cf576d9222b4c36f0e229f5 59502 pkg-config_0.26-1_amd64.deb
Files: 
 3d1f34f0ae0670cf5f70e54c01d8888c 1679 devel optional pkg-config_0.26-1.dsc
 47525c26a9ba7ba14bf85e01509a7234 396399 devel optional pkg-config_0.26.orig.tar.gz
 ce641f17553792a5b01245f06aee590f 4866 devel optional pkg-config_0.26-1.diff.gz
 b790a7f1146ceede7903308cb89a0bbe 59502 devel optional pkg-config_0.26-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQIcBAEBCAAGBQJNz9P3AAoJELZaSHHKGdcXdF8P/2TlKx/gUgq/47hUsKmIA7EN
KmhRw6zaBb7MuMwZLkDmptV352OAnbbWZiHvJ30Da9IPM0Re21IcRZRO7PUwSXEY
+5E8aZhstOhYl9IX0P1XHeR62MsMrajSbzjy8oe7t+WaURbhyjqHFtu23AD5G/1P
kYinKv4Mo+z2DYl7l/6m9vrfAlKAoixpQeAzo4K1IWXrHqVdvkEuqkF85997mu1Q
sxazNl0VibwHbvmdjIugvM2OgWWE1on8eW0vbhbdQ//wEMbCgQYDcOI2UeOR2Zfr
Xz+ShMfnApd5T3fZGItNItQiyuy8s+6KW7K6cmWAK7aNDvduWUnBpOvJpkg0SZk5
bLGbGgJ0rmczJzJyQe9OcVmmiozgEkqd+aHg5HuoKeK+HRF7mtkbUC8n3zojjNO/
9J5BYmWeX3MtsfjYqDpNOntJgaQpgvF/CU0LJGa0mSs6IsaFSVkBUY5ucFXWtB1o
yiFbXouJM0bF71O5jfF+2nvjZ7ATyBLp/FmB2gsOwSysaFTRcfnVXiY+b5efcS4C
xnh0PB8ajF9+jCN9cpsBMC1Wzb4Bcth7SFhs+vM1+g539AFfg+Lq0gmx+xJjT/AU
d+RF6JUwS1vMPUjcmZRQMBNUyUsKiMR3RRuVz+MxXXBJNf6aJ5OXB7h8zHlYtu7i
z6BMVnT+nZK3oYoJwNUG
=9S2U
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 23 Jun 2011 07:32:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 11:31:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.